Aller au contenu



  • Vous ne pouvez pas répondre à ce sujet
5 replies to this topic

#1 Txon

Txon

    AïoligaToR

  • Administrateur
  • PipPipPipPipPipPipPipPipPip
  • 10 854 Messages :
  • Gender:Male

Posté 28 août 2012 - 17:48

Salut !

Nous savons depuis belle lurette que le Java de Oracle, Javascript et les Applets étaient utilisés par de nombreux maliciels. C'est le cas, par exemple, pour GetShell, pour le très fameux FlashBack qui a si bien su constituer un bon gros botnet d'ordinateurs d'Apple sous Mac OS X ou son compère SabPab … et ce ne sont là que des poisons relativement récents.

Atif Mushtaq de l'entreprise de sécurité FireEye a présenté un nouvel ''exploit'' basé sur une vulnérabilité liée aux navigateurs qui utilisent l'environnement Java. La faille utilisée est présente dans Java Runtime Environment (JRE) version 1.7 et ultérieures. Les versions 1.6 et antérieures ne seraient pas concernées par celle-ci mais en contiennent d'autres tout aussi intéressantes.
Cette vulnérabilité permet à des attaquants d'utiliser une page du Web pour forcer le système d'exploitation à télécharger un module malicieux, quelle que soit sa fonctionnalité, et sans que ce soit obligatoirement une application Java.
Pour l'instant, cet ''exploit'' ne fonctionnerait que sous Windows, mais ''jduck'' et d'autres chercheurs de Metasploit Exploit (Rapid 7 Community) ont trouvé qu'il pourrait être utilisé avec les systèmes Linux et Mac OS X pour peu que les modules adaptés soient injectés.

A priori, tous les navigateurs sont concernés : Internet Explorer, Chrome, Safari, Firefox, Opera ...

Encore une fois donc … Si vous n'avez pas un besoin impératif de l'environnement Java, désactivez-le … ou agissez sur la toile avec la plus grande prudence.

@+
Let's start the week with a new Java 0-day in Metasploit (sinn3r – Metasploit)
Java zero day vulnerability actively used in targeted attacks (Dancho Danchez - ZDNet)
Metasploit et la faille 0 Day Java CVE-2012-XXXX (Sébastien Bilbeau -Tux-planet)

"They who can give up essential liberty to obtain a little temporary safety, deserve neither liberty nor safety."(Benjamin Franklin)


#2 EboO

EboO

    le lavaboO ^^'

  • Modérateur
  • PipPipPipPipPipPipPipPipPip
  • 4 730 Messages :
  • Gender:Male

Posté 28 août 2012 - 19:07

Si on n'a pas besoin de java pourquoi le désactiver et pas le virer ?

"Il ne faut pas compter sur ceux qui créent les problèmes pour les résoudre". Albert Einstein
"La nature ne fait rien en vain, et le plus est vain quand le moins suffit". Isaac Newton


#3 Darksky

Darksky

    Martien

  • Eminence Verte
  • PipPipPipPipPipPipPipPip
  • 1 212 Messages :
  • Gender:Male
  • Location:Belgique

Posté 28 août 2012 - 20:08

Hello,

Il semblerait que la faille soit exploitée en ce moment pour injecter une variante du trojan "poison ivy", capable de dérober des données.

Elle concerne la toute dernière version à jour de Java : elle permet d'installer du code à distance. La faille est actuellement exploitée par des pirates pour déployer une variante du trojan Poison Ivy sur les machines infectées, depuis un serveur basé à Singapour. Le cheval de Troie, déjà signalé dans des piratages à but de cyber-espionnage, donne accès à des informations contenues sur l'ordinateur touché.




Pour le moment, la faille est exploitée par des hackers « qualifiés », mais la publication d'un « proof-of-concept » (PoC) sur Internet offre la possibilité à des pirates moins expérimentés de se l'approprier. Une situation qui inquiète les experts, qui indiquent que la faille peut être exploitée via Internet Explorer, Firefox, Opera, Safari et Chrome dans toutes leurs versions, sur Ubuntu 10.04, Windows XP, Vista et 7, ainsi que sur OS X 10.7.4.

Oracle n'a pas encore réagi face à cette menace, et prévoit toujours son prochain patch pour le 16 octobre prochain. En attendant, les experts en sécurité conseille de renforcer la protection des machines à risque, et même la désinstallation de Java 7 en attendant un correctif.



Source: http://www.clubic.co...-exploitee.html


"Ils ne savaient pas que c'était impossible, alors ils l'ont fait."

Mark Twain


#4 vigen

vigen

    Hardcore Papa

  • Tonton Flingueur
  • PipPipPipPipPipPipPipPipPip
  • 6 439 Messages :
  • Gender:Male
  • Location:Normandie

Posté 28 août 2012 - 23:05

Merci de partager cette info Txon :)

Ce message a été modifié par vigen - 28 août 2012 - 23:05 .


#5 Neuromancien

Neuromancien

    Octozimien

  • Modérateur
  • PipPipPipPipPipPipPipPipPip
  • 5 967 Messages :
  • Gender:Male
  • Location:Moselle

Posté 29 août 2012 - 12:50

Salut

merci à Txon pour l'info.

Si on n'a pas besoin de java pourquoi le désactiver et pas le virer ?


Il me semble que JRE est nécessaire pour certains programmes comme open-office ou libre-office par exemple

"Nous sommes des nains juchés sur des épaules de géants. Nous voyons ainsi davantage et plus loin qu'eux, non parce que notre vue est plus aiguë ou notre taille plus haute, mais parce qu'ils nous portent en l'air et nous élèvent de toute leur hauteur gigantesque." (Bernard de Chartres, XIIe siècle)


#6 EboO

EboO

    le lavaboO ^^'

  • Modérateur
  • PipPipPipPipPipPipPipPipPip
  • 4 730 Messages :
  • Gender:Male

Posté 29 août 2012 - 12:59

Oui en effet j'avais oublié cet aspect. Sauf erreur libreoffice est en train de s'affranchir de cette contrainte.

"Il ne faut pas compter sur ceux qui créent les problèmes pour les résoudre". Albert Einstein
"La nature ne fait rien en vain, et le plus est vain quand le moins suffit". Isaac Newton




1 utilisateur(s) en train de lire ce sujet

0 membre(s), 1 invité(s), 0 utilisateur(s) anonyme(s)